<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:20 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SharedDataComResourceImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SharedDataComResourceImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SharedDataComResourceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/NotificationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SW_InteractionFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html" target="_top">Frames</a></li>
<li><a href="SharedDataComResourceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl</div>
<h2 title="Class SharedDataComResourceImpl" class="title">Class SharedDataComResourceImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.SwResourceImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SwInteractionResourceImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SwCommunicationResourceImpl</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SharedDataComResourceImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwCommunicationResource</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwInteractionResource</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ProcessingResource</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SharedDataComResourceImpl</span>
extends <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a>
implements <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Shared Data Com Resource</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
 <li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices--"><code><em>Read Services</em></code></a></li>
 <li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices--"><code><em>Write Services</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== PROPERTY SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="property.summary">
<!--   -->
</a>
<h3>Property Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="properties.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Properties inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Property">basicGetBase_Property</a></code></li>
</ul>
</li>
</ul>
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#readServices">readServices</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices--"><code><em>Read Services</em></code></a>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#writeServices">writeServices</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices--"><code><em>Write Services</em></code></a>' reference list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SwCommunicationResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#base_Connector">base_Connector</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#blockT">blockT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#capacity">capacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#ELEMENT_SIZE_EDEFAULT">ELEMENT_SIZE_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#elementSize">elementSize</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#mainScheduler">mainScheduler</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#packetT">packetT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#SPEED_FACTOR_EDEFAULT">SPEED_FACTOR_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#speedFactor">speedFactor</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#TRANSM_MODE_EDEFAULT">TRANSM_MODE_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#transmMode">transmMode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SwInteractionResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwInteractionResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#IS_INTRA_MEMORY_PARTITION_INTERACTION_EDEFAULT">IS_INTRA_MEMORY_PARTITION_INTERACTION_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#isIntraMemoryPartitionInteraction">isIntraMemoryPartitionInteraction</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#WAITING_QUEUE_CAPACITY_EDEFAULT">WAITING_QUEUE_CAPACITY_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#WAITING_QUEUE_POLICY_EDEFAULT">WAITING_QUEUE_POLICY_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#waitingPolicyElements">waitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#waitingQueueCapacity">waitingQueueCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#waitingQueuePolicy">waitingQueuePolicy</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.SwResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl">SwResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#createServices">createServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#deleteServices">deleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#identifierElements">identifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#initializeServices">initializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#memorySizeFootprint">memorySizeFootprint</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#stateElements">stateElements</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Classifier">base_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_ConnectableElement">base_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_InstanceSpecification">base_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Lifeline">base_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#base_Property">base_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#IS_ACTIVE_EDEFAULT">IS_ACTIVE_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#IS_PROTECTED_EDEFAULT">IS_PROTECTED_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isActive">isActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isProtected">isProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#RES_MULT_EDEFAULT">RES_MULT_EDEFAULT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#resMult">resMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#SharedDataComResourceImpl--">SharedDataComResourceImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices--">getReadServices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getReadServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getReadServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
               boolean&nbsp;ignoreCase,
               org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices--">getWriteServices</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getWriteServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getWriteServices</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                boolean&nbsp;ignoreCase,
                org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SwCommunicationResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#basicGetBase_Connector--">basicGetBase_Connector</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#basicGetMainScheduler--">basicGetMainScheduler</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eBaseStructuralFeatureID-int-java.lang.Class-">eBaseStructuralFeatureID</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eDerivedStructuralFeatureID-int-java.lang.Class-">eDerivedStructuralFeatureID</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getBase_Connector--">getBase_Connector</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getBlockT--">getBlockT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getCapacity--">getCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getElementSize--">getElementSize</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getMainScheduler--">getMainScheduler</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getPacketT--">getPacketT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getSpeedFactor--">getSpeedFactor</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#getTransmMode--">getTransmMode</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#setBase_Connector-org.eclipse.uml2.uml.Connector-">setBase_Connector</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#setElementSize-java.lang.String-">setElementSize</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#setSpeedFactor-java.lang.String-">setSpeedFactor</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#setTransmMode-org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes.TransmModeKind-">setTransmMode</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.SwInteractionResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwInteractionResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#getWaitingPolicyElements--">getWaitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-">getWaitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getWaitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#getWaitingQueueCapacity--">getWaitingQueueCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#getWaitingQueuePolicy--">getWaitingQueuePolicy</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#isIntraMemoryPartitionInteraction--">isIntraMemoryPartitionInteraction</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#setIsIntraMemoryPartitionInteraction-boolean-">setIsIntraMemoryPartitionInteraction</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#setWaitingQueueCapacity-int-">setWaitingQueueCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html#setWaitingQueuePolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.QueuePolicyKind-">setWaitingQueuePolicy</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.SwResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl">SwResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#basicGetMemorySizeFootprint--">basicGetMemorySizeFootprint</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getCreateServices--">getCreateServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getCreateServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getCreateServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getDeleteServices--">getDeleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getDeleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getDeleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getIdentifierElements--">getIdentifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-">getIdentifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getIdentifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getInitializeServices--">getInitializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getInitializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getInitializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getMemorySizeFootprint--">getMemorySizeFootprint</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getStateElements--">getStateElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-">getStateElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getStateElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwResourceImpl.html#setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-">setMemorySizeFootprint</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.ResourceImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ResourceImpl</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Classifier--">basicGetBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_ConnectableElement--">basicGetBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_InstanceSpecification--">basicGetBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Lifeline--">basicGetBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#basicGetBase_Property--">basicGetBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#getResMult--">getResMult</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isActive--">isActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#isProtected--">isProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ResourceImpl.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.SwInteractionResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwInteractionResource</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements--">getWaitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-">getWaitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getWaitingPolicyElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueueCapacity--">getWaitingQueueCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueuePolicy--">getWaitingQueuePolicy</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#isIntraMemoryPartitionInteraction--">isIntraMemoryPartitionInteraction</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setIsIntraMemoryPartitionInteraction-boolean-">setIsIntraMemoryPartitionInteraction</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setWaitingQueueCapacity-int-">setWaitingQueueCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setWaitingQueuePolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.QueuePolicyKind-">setWaitingQueuePolicy</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.SwResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--">getCreateServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getCreateServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getCreateServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--">getDeleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getDeleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getDeleteServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--">getIdentifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-">getIdentifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getIdentifierElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--">getInitializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getInitializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getInitializeServices</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--">getMemorySizeFootprint</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--">getStateElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-">getStateElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getStateElements</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-">setMemorySizeFootprint</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.CommunicationMedia">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">CommunicationMedia</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#getBase_Connector--">getBase_Connector</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#getBlockT--">getBlockT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#getCapacity--">getCapacity</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#getElementSize--">getElementSize</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#getPacketT--">getPacketT</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#getTransmMode--">getTransmMode</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#setBase_Connector-org.eclipse.uml2.uml.Connector-">setBase_Connector</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#setElementSize-java.lang.String-">setElementSize</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/CommunicationMedia.html#setTransmMode-org.eclipse.papyrus.MARTE_Library.MARTE_DataTypes.TransmModeKind-">setTransmMode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.ProcessingResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">ProcessingResource</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#getMainScheduler--">getMainScheduler</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#getSpeedFactor--">getSpeedFactor</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#setMainScheduler-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Scheduler-">setMainScheduler</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/ProcessingResource.html#setSpeedFactor-java.lang.String-">setSpeedFactor</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="readServices">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readServices</h4>
<pre>protected&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt; readServices</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices--"><code><em>Read Services</em></code></a>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getReadServices--"><code>getReadServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="writeServices">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>writeServices</h4>
<pre>protected&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt; writeServices</pre>
<div class="block">The cached value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices--"><code><em>Write Services</em></code></a>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html#getWriteServices--"><code>getWriteServices()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SharedDataComResourceImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SharedDataComResourceImpl</h4>
<pre>protected&nbsp;SharedDataComResourceImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eStaticClass--">eStaticClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="getReadServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReadServices</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getReadServices()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getReadServices--">getReadServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Read Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSharedDataComResource_ReadServices--"><code>SW_InteractionPackage.getSharedDataComResource_ReadServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getReadServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReadServices</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.BehavioralFeature&nbsp;getReadServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                              org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getReadServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getReadServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getReadServices--"><code>SharedDataComResource.getReadServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getReadServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReadServices</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.BehavioralFeature&nbsp;getReadServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                              org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                              org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                              boolean&nbsp;ignoreCase,
                                                              org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getReadServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getReadServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getReadServices--"><code>SharedDataComResource.getReadServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWriteServices--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWriteServices</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.BehavioralFeature&gt;&nbsp;getWriteServices()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getWriteServices--">getWriteServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Write Services</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSharedDataComResource_WriteServices--"><code>SW_InteractionPackage.getSharedDataComResource_WriteServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWriteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWriteServices</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.BehavioralFeature&nbsp;getWriteServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                               org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getWriteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getWriteServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getWriteServices--"><code>SharedDataComResource.getWriteServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWriteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWriteServices</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.BehavioralFeature&nbsp;getWriteServices(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                               org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;ownedParameterNames,
                                                               org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Type&gt;&nbsp;ownedParameterTypes,
                                                               boolean&nbsp;ignoreCase,
                                                               org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getWriteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getWriteServices</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterNames</code> - The '<em><b>Owned Parameter Names</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ownedParameterTypes</code> - The '<em><b>Owned Parameter Types</b></em>' of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>BehavioralFeature</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>BehavioralFeature</code> with the specified '<em><b>Name</b></em>', '<em><b>Owned Parameter Names</b></em>', and '<em><b>Owned Parameter Types</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html#getWriteServices--"><code>SharedDataComResource.getWriteServices()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eGet-int-boolean-boolean-">eGet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eSet-int-java.lang.Object-">eSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eUnset-int-">eUnset</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html#eIsSet-int-">eIsSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SharedDataComResourceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/NotificationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SW_InteractionFactoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html" target="_top">Frames</a></li>
<li><a href="SharedDataComResourceImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
